"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Matrix2_1 = require("./Matrix2");
var three_1 = require("three");
function RotateUVs(geo) {
    var roMat = new Matrix2_1.Matrix2();
    roMat.set(0, -1, 1, 0);
    var addV = new three_1.Vector2(1, 0);
    for (var _i = 0, _a = geo.faceVertexUvs; _i < _a.length; _i++) {
        var uvs = _a[_i];
        for (var _b = 0, uvs_1 = uvs; _b < uvs_1.length; _b++) {
            var uv = uvs_1[_b];
            for (var _c = 0, uv_1 = uv; _c < uv_1.length; _c++) {
                var v = uv_1[_c];
                roMat.applyVector(v);
                v.add(addV);
            }
        }
    }
    geo.uvsNeedUpdate = true;
}
exports.RotateUVs = RotateUVs;
//# sourceMappingURL=RotateUV.js.map