import { Geometry, LineSegments, Mesh, Shape, Vector2, Vector3 } from 'three';
export declare class Arc2d {
    m_StartAn: number;
    m_EndAn: number;
    m_StartPoint: Vector2;
    m_EndPoint: Vector2;
    m_Center: Vector2;
    m_Radius: number;
    constructor(p1: Vector2, p2: Vector2, bul: number);
}
export declare function createPath(pts: Vector2[], buls: number[], shapeOut?: Shape): Shape;
export declare function getVec(data: object): Vector3;
export declare function createBoard(boardData: object): {
    mesh: Mesh;
    edges: (Mesh | LineSegments)[];
};
export declare function createTemplateBoard(brDataList: any[]): {
    meshs: any[];
    edgesa: any[];
    relations: {
        blockMeshMap: Map<number, number>;
        meshBlockMap: Map<number, number>;
    };
};
export declare function createEdge(geo: Geometry): LineSegments;
